Bug 1226647 - libsolv: RFE: Enable support for bzip2 compression
Summary: libsolv: RFE: Enable support for bzip2 compression
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-31 11:46 UTC by Mikolaj Izdebski
Modified: 2016-07-19 14:24 UTC (History)
7 users (show)

Fixed In Version: libsolv-0.6.14-7.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:24:55 UTC


Attachments (Terms of Use)
Proposed patch (1.59 KB, patch)
2015-05-31 11:47 UTC, Mikolaj Izdebski
no flags Details | Diff

Description Mikolaj Izdebski 2015-05-31 11:46:26 UTC
Description of problem:
Please enable support for bzip2 compression.

Version-Release number of selected component (if applicable):
0.6.10-1

Comment 1 Mikolaj Izdebski 2015-05-31 11:47:14 UTC
Created attachment 1032849 [details]
Proposed patch

Comment 2 Honza Silhan 2015-07-24 09:19:15 UTC
We can do that.

Comment 3 Fedora End Of Life 2015-11-04 11:02:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2015-12-10 11:08:00 UTC
libsolv-0.6.14-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ef37719be7

Comment 5 Fedora Update System 2015-12-10 11:27:12 UTC
libsolv-0.6.14-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0a7ef1898

Comment 6 Fedora Update System 2015-12-11 06:02:04 UTC
libsolv-0.6.14-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ef37719be7

Comment 7 Fedora Update System 2015-12-11 19:58:07 UTC
libsolv-0.6.14-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0a7ef1898

Comment 8 Fedora Update System 2015-12-13 04:21:46 UTC
libsolv-0.6.14-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-18 07:19:00 UTC
libsolv-0.6.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7705ba2ba0

Comment 10 Viacheslav Dubrovskiy 2016-01-29 15:03:05 UTC
(In reply to Fedora Update System from comment #8)
> libsolv-0.6.14-7.fc23 has been pushed to the Fedora 23 stable repository. If
> problems still persist, please make note of it in this bug report.

The problem still exist.

[slava@dubrwork ~]$ rpm -qa | grep libsolv
libsolv-0.6.14-7.fc23.x86_64

[slava@dubrwork ~]$ rpm -q --changelog libsolv
* Вто Дек 08 2015 Jaroslav Mracek <jmracek@redhat.com> - 0.6.14-1
- Rebase to upstream b1ea392
- Enable bz2 compression support (Mikolaj Izdebski <mizdebsk@redhat.com>) (RhBug:1226647)


Start: dnf install
DEBUG: ['/usr/bin/dnf', '--installroot', '/var/lib/mock/epel-7-x86_64/root/', '--releasever', '7', '--setopt=deltarpm=false', 'install', 'bash', 'bzip2', 'coreutils', 'cpio', 'diffutils', 'epel-release', 'findutils', 'gawk', 'gcc', 'gcc-c++', 'grep', 'gzip', 'info', 'make', 'patch', 'redhat-rpm-config', 'rpm-build', 'sed', 'shadow-utils', 'tar', 'unzip', 'util-linux-ng', 'which', 'xz']
DEBUG: child environment: None
DEBUG: Executing command: ['/usr/bin/dnf', '--installroot', '/var/lib/mock/epel-7-x86_64/root/', '--releasever', '7', '--setopt=deltarpm=false', 'install', 'bash', 'bzip2', 'coreutils', 'cpio', 'diffutils', 'epel-release', 'findutils', 'gawk', 'gcc', 'gcc-c++', 'grep', 'gzip', 'info', 'make', 'patch', 'redhat-rpm-config', 'rpm-build', 'sed', 'shadow-utils', 'tar', 'unzip', 'util-linux-ng', 'which', 'xz', '--setopt=tsflags=nocontexts'] with env {'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'TERM': 'vt100', 'LANG': 'ru_UA.UTF-8', 'HOSTNAME': 'mock', 'LC_MESSAGES': 'C', 'SHELL': '/bin/bash', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"'} and shell False
epel                                                                                                                                                                                                          39 MB/s | 9.8 MB     00:00    
Failed to open: /var/lib/mock/epel-7-x86_64/root/var/cache/dnf/epel-f48cbbeb28bf4aff/repodata/30a99670935b6af9991231231157cd64ea07abba3217fb5a9e9bbed88b2cfd76-updateinfo.xml.bz2.
DEBUG: Child return code was: 1

Comment 11 Fedora Update System 2016-03-09 17:20:58 UTC
dnf-1.1.7-2.fc22 dnf-plugins-core-0.1.17-1.fc22 libsolv-0.6.19-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075

Comment 12 Fedora Update System 2016-03-10 16:52:18 UTC
dnf-1.1.7-2.fc22, dnf-plugins-core-0.1.17-1.fc22, libsolv-0.6.19-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075

Comment 13 Fedora Admin XMLRPC Client 2016-07-08 09:22:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2016-07-19 14:24:55 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.